%define major		15
%define libname		%mklibname %{name} %{major}
%define libnamedev	%mklibname %{name} -d

Summary:	Real-time Transport Protocol Stack
Name:		ortp
Version:	4.4.21
Release:	%mkrel 1
License:	LGPLv2+
Group:		Networking/Other
URL:		http://linphone.org/ortp/
Source0:	https://github.com/BelledonneCommunications/ortp/archive/%{version}/%{name}-%{version}.tar.xz
# (wally) fix pkconfig pc file when cmake is used
Patch0:		ortp-cmake-fix-pkgconfig-pc-file.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(bctoolbox) >= %{version}
BuildRequires:	pkgconfig(openssl)

%description
oRTP is a LGPL licensed C library implementing the RTP protocol
(rfc1889). It is available for most unix clones (primilarly Linux and
HP-UX), and Microsoft Windows.

%package -n	%{libname}
Summary:        Real-time Transport Protocol Stack
Group:		System/Libraries


%description -n	%{libname}
oRTP is a LGPL licensed C library implementing the RTP protocol
(rfc1889). It is available for most unix clones (primilarly Linux and
HP-UX), and Microsoft Windows.

%package -n	%{libnamedev}
Summary:        Headers, libraries and docs for the oRTP library
Group:          Development/Libraries
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Obsoletes:      %{_lib}ortp9-devel < 0.24.2-4

%description -n %{libnamedev}
oRTP is a LGPL licensed C library implementing the RTP protocol
(rfc1889). It is available for most unix clones (primilarly Linux and
HP-UX), and Microsoft Windows.

This package contains header files and development libraries needed to
develop programs using the oRTP library.

%prep
%setup -q
sed -i -e 's,\r$,,' CMakeLists.txt
%apply_patches

# Fix version
sed -i -e '/oRTP/s/\(VERSION\)\s\+[0-9]\+\(\.[0-9]\+\)\+/\1 %{version}/' CMakeLists.txt

%build
%cmake \
  -DENABLE_STATIC:BOOL=NO \
  -DENABLE_STRICT:BOOL=NO \
  -DENABLE_DOC:BOOL=NO
%cmake_build

%install
%cmake_install

#handle docs in file section
rm -rf %{buildroot}%{_docdir}

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{libnamedev}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}/
%{_libdir}/cmake/ortp/


%changelog
* Sat Jan 02 2021 tex - 4.4.21-1pclos2021
- new version 4.4.21
